Package org.bukkit.event.block

# Class BlockGrowEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockGrowEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `BlockFormEvent`

public class BlockGrowEvent extends BlockEvent implements Cancellable
Called when a block grows naturally in the world.

Examples:

- Wheat
- Sugar Cane
- Cactus
- Watermelon
- Pumpkin
- Turtle Egg

If a Block Grow event is cancelled, the block will not grow.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockGrowEvent(@NotNull Block block, @NotNull BlockState newState)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull BlockState`
`getNewState()`
Gets the state of the block where it will form or spread to.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockGrowEvent

public BlockGrowEvent(@NotNull @NotNull Block block, @NotNull @NotNull BlockState newState)

## Method Details

### getNewState

@NotNull public @NotNull BlockState getNewState()
Gets the state of the block where it will form or spread to.

Returns:
  The block state for this events block

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()